
Name: kigo
Summary: Kigo is an implementation of the Go game.
Version: 17.12.3
Release: %mkrel 1
Group: Graphical desktop/KDE5
URL: http://www.kde.org/applications/games/
License: GPLv2 and LGPLv2 and GFDL
Source: http://download.kde.org/stable/%version/src/%name-%version.tar.xz

BuildRequires: cmake
BuildRequires: kf5-macros
BuildRequires: %{_lib}kdegames-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5qml-devel
BuildRequires: %{_lib}qt5quick-devel
BuildRequires: %{_lib}qt5quickwidgets-devel
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: kcoreaddons-devel
BuildRequires: kwidgetsaddons-devel
BuildRequires: kconfig-devel
BuildRequires: kdbusaddons-devel
BuildRequires: ki18n-devel
BuildRequires: kguiaddons-devel
BuildRequires: kservice-devel
BuildRequires: kconfigwidgets-devel
BuildRequires: kiconthemes-devel
BuildRequires: kcompletion-devel
BuildRequires: kjobwidgets-devel
BuildRequires: kxmlgui-devel
BuildRequires: kio-devel

BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl

Requires:   libkdegames

%description
Kigo is an open-source implementation of the popular Go game.
Go is a strategic board game for two players. It is also known
as igo (Japanese), weiqi or wei ch'i (Chinese) or baduk (Korean).
Go is noted for being rich in strategic complexity despite its simple rules. 


%files
%{_sysconfdir}/xdg/kigo-games.knsrc
%{_sysconfdir}/xdg/kigo.knsrc
%{_bindir}/kigo
%{_datadir}/applications/org.kde.kigo.desktop
%{_datadir}/config.kcfg/kigo.kcfg
%{_datadir}/icons/hicolor/128x128/apps/kigo.png
%{_datadir}/icons/hicolor/16x16/apps/kigo.png
%{_datadir}/icons/hicolor/22x22/apps/kigo.png
%{_datadir}/icons/hicolor/32x32/apps/kigo.png
%{_datadir}/icons/hicolor/48x48/apps/kigo.png
%{_datadir}/icons/hicolor/64x64/apps/kigo.png
%{_datadir}/kigo/games/Honinbo-51-5.sgf
%{_datadir}/kigo/games/Mehin-21-2.sgf
%{_datadir}/kigo/themes/default.desktop
%{_datadir}/kigo/themes/kigo_default.png
%{_datadir}/kigo/themes/kigo_default.svgz
%{_datadir}/kigo/themes/kigo_plain.png
%{_datadir}/kigo/themes/kigo_plain.svgz
%{_datadir}/kigo/themes/plain.desktop
%{_datadir}/kxmlgui5/kigo/kigoui.rc
%{_datadir}/locale
%{_datadir}/metainfo/org.kde.kigo.appdata.xml
#------------------------------------------------------------------------------

%package -n kigo-handbook
Summary: kogo handbook
Requires:  %name
BuildArch: noarch
Group: Documentation

%description -n kigo-handbook
This package provides the kigo handbook.

%files -n kigo-handbook
%_kf5_docdir/HTML
#------------------------------------------------------------------------------

%prep
%setup -q


%build
export LD=/usr/bin/ld.gold 
%cmake_kf5
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Arcade" \
  --dir %buildroot/%{_datadir}/applications %buildroot/%{_datadir}/applications/*.desktop


%changelog
* Mon Mar 12 2018 bb2 <bb2> - 17.12.3-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 17.12.2-1pclos2018
- new version

* Fri Jan 12 2018 bb2 <bb2> - 17.12.1-1pclos2018
- new version

* Fri Dec 15 2017 bb2 <bb2> - 17.12.0-1pclos2017
- new version

